DenormalizedTable (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.mapping
Class DenormalizedTable

    java.lang.Object
      org.hibernate.mapping.Table
          org.hibernate.mapping.DenormalizedTable

All Implemented Interfaces:
  Serializable, RelationalModel

    public class DenormalizedTable

extends Table

See Also:
  Serialized Form

Constructor Summary
`DenormalizedTable(Table includedTable)`

Method Summary
`boolean` | `containsColumn(Column column)`
`void` | `createForeignKeys()`
`Column` | `getColumn(Column column)` Return the column which is identified by column provided as argument.
`Iterator` | `getColumnIterator()`
`Iterator` | `getIndexIterator()`
`PrimaryKey` | `getPrimaryKey()`
`Iterator` | `getUniqueKeyIterator()`

Methods inherited from class org.hibernate.mapping.Table
`addCheckConstraint, addColumn, addIndex, addUniqueKey, createForeignKey, createForeignKey, createUniqueKey, getCatalog, getCheckConstraintsIterator, getColumn, getColumnSpan, getComment, getForeignKeyIterator, getIdentifierValue, getIndex, getName, getOrCreateIndex, getOrCreateUniqueKey, getQualifiedName, getQuotedName, getQuotedName, getQuotedSchema, getQuotedSchema, getRowId, getSchema, getSubselect, getUniqueInteger, getUniqueKey, hasDenormalizedTables, hasPrimaryKey, isAbstract, isAbstractUnionTable, isPhysicalTable, isQuoted, isSchemaQuoted, isSubselect, qualify, setAbstract, setCatalog, setComment, setIdentifierValue, setName, setPrimaryKey, setQuoted, setRowId, setSchema, setSubselect, sqlAlterStrings, sqlCommentStrings, sqlCreateString, sqlDropString, sqlTemporaryTableCreateString, toString, uniqueColumnString, uniqueColumnString, validateColumns`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DenormalizedTable

    public DenormalizedTable(Table includedTable)

Method Detail

### createForeignKeys

    public void createForeignKeys()

  Overrides:
    `createForeignKeys` in class `Table`

### getColumn

    public Column getColumn(Column column)

  Description copied from class: `Table`
  Return the column which is identified by column provided as argument.

  Overrides:
    `getColumn` in class `Table`
  Parameters:
    `column` - column with atleast a name.
  Returns:
    the underlying column or null if not inside this table. Note: the instance *can* be different than the input parameter, but the name will be the same.

### getColumnIterator

    public Iterator getColumnIterator()

  Overrides:
    `getColumnIterator` in class `Table`

### containsColumn

    public boolean containsColumn(Column column)

  Overrides:
    `containsColumn` in class `Table`

### getPrimaryKey

    public PrimaryKey getPrimaryKey()

  Overrides:
    `getPrimaryKey` in class `Table`

### getUniqueKeyIterator

    public Iterator getUniqueKeyIterator()

  Overrides:
    `getUniqueKeyIterator` in class `Table`

### getIndexIterator

    public Iterator getIndexIterator()

  Overrides:
    `getIndexIterator` in class `Table`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.